import { dataTheme } from "data-theme";
import { CSSProperties, Ref } from "react";
import { FieldError, FieldErrorsImpl, Merge } from "react-hook-form";
export interface Checkbox extends React.InputHTMLAttributes<HTMLInputElement> {
    /** Add custom background color for the input */
    backgroundColor?: string;
    /**
     * Custom css class name.
     */
    classNameCheckbox?: string;
    /**
     * Custom css class name for group wrapper.
     */
    classNameGroup?: string;
    /**
     * Custom css class name for label.
     */
    classNameLabel?: string;
    /**
     * Error message to show when input has an error.
     */
    error?: {
        message?: string | false | FieldError | Merge<FieldError, FieldErrorsImpl<any>> | undefined;
        is?: boolean;
    };
    /**
     * Ref react element to use
     */
    inputRef?: Ref<HTMLInputElement>;
    /**
     * Sets if input is required or not
     */
    isRequired?: boolean;
    /**
     * Add a label to the input
     */
    label?: string;
    /**
     * Data theme for the html. `${themes}`
     */
    paletteTheme?: dataTheme;
    /**Placeholder text for the input */
    placeholder: string;
    /**
     * Style input group wrapper
     */
    styleGroup?: CSSProperties;
}
