/** React */
import React, { ReactNode } from "react";
/** Types */
type Item = {
    id: string;
    isExpanded: boolean;
};
/** Context type */
type MenuContextType = {
    items: Record<string, Item>;
    addItem: (item: Item) => void;
    toggle: (id: string) => void;
};
/** Props */
type MenuRootProps = {
    children: ReactNode;
    isOpenByDefault?: true;
};
export declare function MenuRoot({ children, isOpenByDefault }: MenuRootProps): import("react/jsx-runtime").JSX.Element;
export declare function useMenu(): React.Context<MenuContextType>;
export {};
