import { DataPalette } from "data-palette";
import React from "react";
type DataTheme = "light" | "dark";
type State = {
    dataTheme?: DataTheme;
    switchDataTheme: (mode: DataTheme) => void;
    dataPalette?: DataPalette;
    switchDataPalette: (mode: DataPalette) => void;
};
type ThemeProviderProps = {
    children: React.ReactNode;
    dataTheme?: DataTheme;
    dataPalette?: DataPalette;
};
declare const ThemeContext: React.Context<State | undefined>;
declare function ThemeProvider({ children, dataTheme: dataThemeProp, dataPalette: dataPaletteProp, }: ThemeProviderProps): import("react/jsx-runtime").JSX.Element;
declare function useTheme(): State;
export { ThemeContext, ThemeProvider, useTheme };
