import { MutableRefObject } from "react";
/** Props */
type Props = {
    allPositions?: number[];
    handlePosition: (pixelPosition: number, thumbPosition: number, index: number, isHandleSelected: boolean) => void;
    handleOverContent: (value: string | number | undefined) => void;
    values: string[] | number[];
};
type TimerProps = Props & {
    indexPosition: number;
};
type ThumbProps = Props & {
    panelRef: MutableRefObject<null>;
};
export declare function usePositions(panelRef: MutableRefObject<null>, initial: number): {
    panelRef: MutableRefObject<null>;
    allPositions: number[] | undefined;
    setAllPositions: import("react").Dispatch<import("react").SetStateAction<number[] | undefined>>;
    pixelPosition: string | undefined;
    setPixelPosition: import("react").Dispatch<import("react").SetStateAction<string | undefined>>;
    thumbPosition: string | undefined;
    setThumbPosition: import("react").Dispatch<import("react").SetStateAction<string | undefined>>;
};
export declare function getThumbBounds(): DOMRect;
export declare function useTimer({ allPositions, indexPosition, handlePosition, handleOverContent, values, }: TimerProps): {
    isPlay: boolean;
    setIsPlay: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    handlePlay: () => void;
    handleStop: () => void;
};
export declare function useThumb({ allPositions, panelRef, handlePosition, handleOverContent, values, }: ThumbProps): {
    handleDownThumb: () => void;
};
export {};
