import { CSSProperties } from "react";
import { FieldError, FieldErrorsImpl, Merge } from "react-hook-form";
export interface TextArea {
    /**
     * Custom css class name textarea wrapper.
     */
    className?: string;
    /**
     * Disable prop
     */
    disabled?: boolean;
    /**
     * Error message to show when input has an error.
     */
    error?: {
        message?: string | false | FieldError | Merge<FieldError, FieldErrorsImpl<any>> | undefined;
        is?: boolean;
    };
    hasToggleButton?: boolean;
    /**
     * Minimum height if toggle button is true
     */
    hideHeight?: string;
    /**
     * Placeholder for textarea html tag
     */
    placeholder?: string;
    /**
     * Maximum height if toggle button is false
     */
    showHeight?: string;
    /**
     * Style textarea group wrapper
     */
    style?: CSSProperties;
    /**
     * Classname of the textarea
     */
    textareaClassName?: string;
    /**Places a text on top of the text-area */
    label?: string;
    /**className of the text on top of the text-area */
    labelClassName?: string;
    /**Shows the full component as disabled */
    buttonDisabled?: boolean;
    /**Changes the background color of the input*/
    backgroundColor?: string;
    /**Makes input text required or not*/
    isRequired: boolean;
}
